Categories:
  - System
License: GPL-2.0-only
WebSite: https://zorinos.com
SourceCode: https://github.com/ZorinOS/zorin-connect-android
IssueTracker: https://github.com/ZorinOS/zorin-connect-android/issues

AutoName: Zorin Connect
Description: |-
    Zorin Connect provides several features to integrate your phone and your computer:

    * Sync your phone notifications with your computer
    * Browse photos from your phone
    * Reply to SMS messages
    * Share files and links between devices
    * Use your phone as a remote control for your computer

    The app seamlessly connects your computer and your mobile device over your local network, securely with RSA encryption.

    Please note you will need to have Zorin OS 15 installed and have enabled Zorin Connect on your computer for this app to work.

RepoType: git
Repo: https://github.com/ZorinOS/zorin-connect-android

Builds:
  - versionName: 1.12.6
    versionCode: 11260
    commit: 1.12.6
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.7
    versionCode: 11270
    commit: 1.12.7
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.5
    versionCode: 11350
    commit: 1.13.5
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.14.2
    versionCode: 11422
    commit: 1.14.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.17.0
    versionCode: 11700
    commit: '1.17'
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.19.1
    versionCode: 11910
    commit: 1a87018f253fad66a52a6a6a73e65c83683fad0b
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.22.3
    versionCode: 12203
    commit: 6a3ed3247a4a74d95da1d887008c28e68633f992
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.22.3
CurrentVersionCode: 12203
